harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Leo Simons <m...@leosimons.com>
Subject Re: [classlib] HARMONY vs. J2SE API source, binary compatibility: JAPI for 1.5 required
Date Sat, 06 May 2006 10:38:56 GMT
On Sat, May 06, 2006 at 10:17:04AM +0400, Anton Avtamonov wrote:
> - Am I right that source/binary compatibility implies that
> package-private implementation also matches?

I'll suggest you take another look at Vladimir's definition -- source
compatibility as he defines it means that, for A and B, you can compile your
apps against both A and B.

> - Do we really need to be source/binary compatible?

Yes, by the definitions of souce/binary compatible that Vladimir used.

> Do you think that
> existing compatibility guideline
> http://incubator.apache.org/harmony/subcomponents/classlibrary/compat.html
> is not enough?

I suspect that we will want to extend those guidelines (turning the general
bits into specific bits) for some of the things vladimir mentioned. For example,
I can imagine that we implement guidelines such as "write 1.4 source code when
using collections except where it breaks compatibility".

cheers!

Leo

---------------------------------------------------------------------
Terms of use : http://incubator.apache.org/harmony/mailing.html
To unsubscribe, e-mail: harmony-dev-unsubscribe@incubator.apache.org
For additional commands, e-mail: harmony-dev-help@incubator.apache.org


Mime
View raw message